{
  "name": "scan-admin",
  "version": "2.0.0",
  "description": "通用扫描管理端",
  "author": "LiuYang",
  "scripts": {
    "start": "npm run dev",
    "dev": "node build/start.js",
    "builder": "npm run build:vite && cross-env-shell IS_BUILDER=builder npm run build:main && electron-builder --config=./builder.json",
    "dev:main": "node build/dev.js",
    "build:main": "node build/build.js",
    "dev:vite": "vite --mode development",
    "build:vite": "vue-tsc --noEmit --skipLibCheck && vite build",
    "check": "vue-tsc --noEmit --skipLibCheck"
  },
  "main": "dist/main.js",
  "dependencies": {
    "@ant-design/icons-vue": "^7.0.1",
    "@qmth/ui": "^1.0.16",
    "@vueuse/core": "^10.11.0",
    "axios": "^1.5.0",
    "core-js": "^3.32.2",
    "crypto-js": "^4.2.0",
    "echarts": "^5.5.1",
    "element-resize-detector": "^1.2.4",
    "less": "^4.2.0",
    "lodash-es": "^4.17.21",
    "mockjs": "^1.1.0",
    "pinia": "^2.1.6",
    "pinia-plugin-persistedstate": "^3.2.1",
    "spark-md5": "^3.0.2",
    "v3-drag-zoom": "^1.1.20",
    "vue": "^3.4.32",
    "vue-echarts": "^7.0.0-beta.0",
    "vue-router": "^4.2.4"
  },
  "devDependencies": {
    "@babel/core": "^7.11.6",
    "@babel/plugin-transform-runtime": "^7.11.5",
    "@babel/preset-env": "^7.11.5",
    "@babel/preset-react": "^7.10.4",
    "@types/crypto-js": "^4.2.2",
    "@types/lodash-es": "^4.17.12",
    "@types/mockjs": "^1.0.10",
    "@types/node": "^20.6.1",
    "@types/spark-md5": "^3.0.4",
    "@vitejs/plugin-vue": "^4.3.4",
    "@vitejs/plugin-vue-jsx": "3.0.1",
    "@vue/compiler-sfc": "^3.3.4",
    "babel-loader": "^8.1.0",
    "chalk": "^4.1.0",
    "concurrently": "^5.3.0",
    "copy-webpack-plugin": "^6.1.1",
    "cross-env": "^7.0.2",
    "electron": "^26.2.1",
    "electron-builder": "^24.6.4",
    "electron-devtools-installer": "^3.1.1",
    "electron-log": "^4.2.4",
    "esbuild-loader": "^4.0.2",
    "node-loader": "^1.0.1",
    "ora": "^5.1.0",
    "portfinder": "^1.0.28",
    "rimraf": "^3.0.2",
    "rollup-plugin-node-polyfills": "^0.2.1",
    "unocss": "^0.61.5",
    "unplugin-vue-components": "^0.27.3",
    "unplugin-vue-setup-extend-plus": "^1.0.1",
    "vite": "^4.4.9",
    "vue-tsc": "^2.1.4",
    "wait-on": "^7.0.1",
    "webpack": "^5.88.2",
    "webpack-cli": "^5.1.4",
    "webpack-dev-server": "^4.15.1"
  }
}